# Class StreamHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.StreamHandler

public class StreamHandler extends ElementHandler
Handler for STREAM elements.

Since:
  8 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`StreamHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int leng)`
Called when character content is found in the element.
`void`
`endElement()`
Called when the element has ended.
`void`
`startElement()`
Called after the attributes have been set and checked.

### Methods inherited from class ElementHandler

`configure, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StreamHandler

public StreamHandler()

## Method Details

### startElement

public void startElement()
Description copied from class: `ElementHandler`
Called after the attributes have been set and checked. The default implementation does nothing.

Overrides:
  `startElement` in class `ElementHandler`

### characters

public void characters(char[] ch, int start, int leng)
Description copied from class: `ElementHandler`
Called when character content is found in the element. The default implementation does nothing.

Overrides:
  `characters` in class `ElementHandler`

### endElement

public void endElement()
Description copied from class: `ElementHandler`
Called when the element has ended. The default implementation does nothing.

Overrides:
  `endElement` in class `ElementHandler`